<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=<device-width>, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>像の遅延読み込みサンプル</title>
    <style>
        #image-list{
            display:grid; 
            gap:20px; 
            /* 一枚が幅500pxで、ブラウザの画面幅に応じた数が、横に並ぶ */
            grid-template-columns: repeat(auto-fill, 500px);
        }
        img{
            /* これをしないと設定画像がオリジナルのサイズに広がって大変なことに。 */
            width:100%;
        }
    </style>
</head>
<body>
	<!-- 参考サイト -->
	<!-- https://coliss.com/articles/build-websites/operation/javascript/lazyestload-js.html -->
	<!-- https://github.com/Paul-Browne/lazyestload.js -->


        <h1>画像の遅延読み込みサンプル</h1>
        <div id="image-list" >
            <!-- 「loading_big.gif」は、幅500pxの透明な四角の真ん中に、小さなローディングのくるくるアニメGIFを合成したもの。 -->
            <!-- それをしないと、ローディングGIFが、幅500pxに広がってしまっておかしなことに。 -->
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1000_-2535888.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1000_0267.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1000_083492.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1000_1341881.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1000_2516641.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1000_284512.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1000_601194.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1000_ant-1822636.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1000_nd-1979445.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1000_rfly-1127666.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1500_-2535888.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1500_0267.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1500_083492.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1500_1341881.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1500_2516641.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1500_284512.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1500_601194.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1500_ant-1822636.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1500_nd-1979445.jpg" class="lazyestload"></div>
            <div class="pic"><img src="image/loading_big.gif" data-src="image/1500_rfly-1127666.jpg" class="lazyestload"></div>
        </div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
<script src="js/vender/lazyestload.js"></script>
</body>
</html>